﻿@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>@ViewBag.Title</h2>

@if (ViewBag.FormAction != null && ViewBag.FormController != null)
{
    using (Html.BeginForm((String)ViewBag.FormAction, (String)ViewBag.FormController))
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h4>@ViewBag.TitleItem</h4>
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })

            @RenderBody()

            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Create" class="btn btn-default" />
                </div>
            </div>
        </div>
    }
}
else
{
    using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h4>@ViewBag.TitleItem</h4>
            <hr />

            @RenderBody()

            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Create" class="btn btn-default" />
                </div>
            </div>
        </div>
    }
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
